PETSc version 3.15.5
Fix/Edit manual page

# PetscDrawSPAddPoints

Adds several points to each of the scatter plots.

### Synopsis

    #include "petscdraw.h"
    #include "petscsys.h"
    PetscErrorCode  PetscDrawSPAddPoints(PetscDrawSP sp,int n,PetscReal **xx,PetscReal **yy)

Logically Collective on PetscDrawSP

### Input Parameters

| sp | - the LineGraph data structure
| xx,yy | - points to two arrays of pointers that point to arrays containing the new x and y points for each curve.
| n | - number of points being added

### Notes

the new points will not be displayed until a call to PetscDrawSPDraw() is made

### See Also

PetscDrawSPAddPoint(), PetscDrawSP, PetscDrawSPCreate(), PetscDrawSPReset(), PetscDrawSPDraw()

### Level

intermediate

### Location

src/sys/classes/draw/utils/dscatter.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages